<template>
  <div>
    <button @click="handleLogOut()" class="x x-fixed-2">log-out</button>
  </div>
</template>

<style scoped>
.x {
  margin: 8px;
  padding: 8px;
  cursor: pointer;
  font-weight: bold;
  transition: 0.3s;
  background-color: #edd2ff;
  border: 1px solid #000;
}
.x:hover {
  color: white;
  background-color: #3a0061;
}
.x-fixed-2 {
  position: absolute;
  top: 10px;
  right: 10px;
}
</style>
